Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Coinbase Exchange API
cURL
curl --request GET \ --url https://api.exchange.coinbase.com/products/{product_id}
import requests url = "https://api.exchange.coinbase.com/products/{product_id}" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://api.exchange.coinbase.com/products/{product_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.exchange.coinbase.com/products/{product_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.exchange.coinbase.com/products/{product_id}" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.exchange.coinbase.com/products/{product_id}") .asString();
require 'uri' require 'net/http' url = URI("https://api.exchange.coinbase.com/products/{product_id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body
{ "id": "BTC-USD", "base_currency": "BTC", "quote_currency": "USD", "quote_increment": "0.01000000", "base_increment": "0.00000001", "display_name": "BTC/USD", "min_market_funds": "10", "margin_enabled": false, "post_only": false, "limit_only": false, "cancel_only": false, "status": "online", "status_message": "", "auction_mode": true }
{ "message": "<string>" }
Get information on a single product.
Min order price (a.k.a. price increment
online
offline
internal
delisted
Percentage to calculate highest price for limit buy order (Stable coin trading pair only)
Was this page helpful?